# Uses of Class
java.util.jar.Manifest

Packages that use Manifest
Package
Description
java.net
Provides the classes for implementing networking applications.
java.util.jar
Provides classes for reading and writing the JAR (Java ARchive) file format, which is based on the standard ZIP file format with an optional manifest file.

## Uses of Manifest in java.net

Methods in java.net that return Manifest
Modifier and Type
Method
Description
`Manifest`
JarURLConnection.`getManifest()`
Returns the Manifest for this connection, or null if none.
Methods in java.net with parameters of type Manifest
Modifier and Type
Method
Description
`protected Package`
URLClassLoader.`definePackage​(String name, Manifest man, URL url)`
Defines a new package by name in this `URLClassLoader`.

## Uses of Manifest in java.util.jar

Methods in java.util.jar that return Manifest
Modifier and Type
Method
Description
`Manifest`
JarFile.`getManifest()`
Returns the jar file manifest, or `null` if none.
`Manifest`
JarInputStream.`getManifest()`
Returns the `Manifest` for this JAR file, or `null` if none.
Constructors in java.util.jar with parameters of type Manifest
Modifier
Constructor
Description
``
`JarOutputStream​(OutputStream out, Manifest man)`
Creates a new `JarOutputStream` with the specified `Manifest`.
``
`Manifest​(Manifest man)`
Constructs a new Manifest that is a copy of the specified Manifest.